#!must_be_sourced
#
#   gbssetup.sh
#
GBS_RC=0
let GBS_SCRIPT_LEVEL+=1

if [[ $GBS_PID == '' ]]
then
    echo "GBSSETUP_: ** GBS not started for this subprocess: Use 'gbs' or 'gbsstart' **"
    GBS_RC=1
else
    #
    #	Determine GBS_BASE_PATH		(TBR)
    #
    if [[ $GBS_BASE_PATH == '' ]]
    then
	\export GBS_BASE_PATH=~/.gbs
	\echo "GBSSETUP_: GBS_BASE_PATH=$GBS_BASE_PATH (was not defined)"
    fi

    #
    #	Run the program
    #
    \export GBS_SETUP_FILE=~/tmp/GBSSETUP_RESULT_`hostname`_$GBS_PID.tmp
    \rm -f $GBS_SETUP_FILE 2> /dev/null
    $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbssetup.pl $*
    GBS_RC=$?
    set --

    #
    #   Selectively setup the environment
    #
    if [[ $GBS_RC -eq 0 && -f $GBS_SETUP_FILE ]]
    then
	#
	#   Execute the setup of environment variables
	#
        . $GBS_SETUP_FILE
        GBS_RC=$?
    fi
    \rm -f $GBS_SETUP_FILE 2> /dev/null
    unset GBS_SETUP_FILE
fi

#   End
let GBS_SCRIPT_LEVEL-=1
if (( $GBS_SCRIPT_LEVEL <= 0 ))
then
    unset GBS_PROMPT_SEPARATOR_PRINTED
    unset GBS_SCRIPT_LEVEL
fi
\set --
bash -c "exit $GBS_RC" # set $?

## EOF ##
