#===============================================================
#
#   check.pm
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================

package glo::check;
require Exporter;

@ISA = qw(Exporter);
@EXPORT = qw(
CHECK_num_value
);

use strict;
use integer;




sub CHECK_num_value($$@);








sub CHECK_num_value($$@)
{
my ($item_name,	    # undef == 'value'
$value,		    #
@allowed_values_or_refs,    # ( $value or [$min, $max] ...)
) = @_;
my $error_text;	    # undef = OK

my $value_ok = 0;
foreach my $allowed_value_or_ref (@allowed_values_or_refs)
{
if (ref $allowed_value_or_ref)
{
my ($min, $max) = @{$allowed_value_or_ref};
if (defined $min && defined $max)
{
if ($value >= $min && $value <= $max)
{
$value_ok = 1;
last;
}
} elsif (defined $min)
{
if ($value >= $min)
{
$value_ok = 1;
last;
}
} elsif (defined $max)
{
if ($value <= $max)
{
$value_ok = 1;
last;
}
} else
{

}
} else
{
if ($value == $allowed_value_or_ref)
{
$value_ok = 1;
last;
}
}
}

if (!$value_ok)
{
my @allowed_values;
foreach my $allowed_value_or_ref (@allowed_values_or_refs)
{
if (ref $allowed_value_or_ref)
{
my ($min, $max) = @{$allowed_value_or_ref};
if (defined $min && defined $max)
{
push @allowed_values, "$min-$max";
} elsif (defined $min)
{
push @allowed_values, ">=$min";
} elsif (defined $max)
{
push @allowed_values, "<=$max";
} else
{

}
} else
{
push @allowed_values, $allowed_value_or_ref;
}
}
my $allowed_values = join( ',', @allowed_values);
$item_name = 'value'
if (!defined $item_name);
$item_name = ucfirst $item_name;
$error_text = "$item_name must be $allowed_values";
}

return $error_text;
}

return 1;


