#===============================================================
#
#   tkxglo.pl
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================
package glo::tkxglo;
require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(
TKXGLO_add_menus
TKXGLO_new_listbox
TKXGLO_messagebox_ok
TKXGLO_aboutbox
);

use strict;
use integer;

eval( "use Tkx");





sub TKXGLO_add_menus($@);
sub TKXGLO_new_listbox($$);
sub TKXGLO_messagebox_ok($$$);
sub TKXGLO_aboutbox($$);








sub TKXGLO_add_menus($@)
{
my ($parent,
@menu_refs	# [$menu_label, ( [ $command_label, $command ], ... ), ...]
) = @_;
my $m;

Tkx::option_add( "*tearOff", 0);

$m = $parent->new_menu;
$parent->configure(-menu => $m);

foreach my $menu_ref (@menu_refs)
{
my ($menu_label, @command_refs) = @{$menu_ref};

my $menu = $m->new_menu;
$m->add_cascade(-menu => $menu, -label => $menu_label);
foreach my $command_ref (@command_refs)
{
my ($command_label, $command) = @{$command_ref};
if (! defined $command_label)
{
$menu->add_separator();
} else
{
$menu->add_command( -label=> $command_label,
-command => $command);
}
}

}

return $m;
}




sub TKXGLO_new_listbox($$)
{
my ($parent,
$select_callback,
) = @_;
my ($lbf, $lb);	    # listbox_frame, listbox

$lbf = $parent->new_ttk__frame( -relief => 'groove', -borderwidth => 3);
$lbf->g_grid_columnconfigure(0, -weight => 1);
$lbf->g_grid_rowconfigure(0, -weight => 1);

$lb = $lbf->new_tk__listbox();
$lb->g_grid( -column => 0, -row => 0, -sticky => 'news');

my $vs = $lbf->new_ttk__scrollbar( -orient => 'vertical', -command => [ $lb, 'yview']);
$vs->g_grid( -column => 1, -row => 0, -sticky => 'ns');
$lb->configure( -yscrollcommand => [ $vs, 'set' ]);

my $hs = $lbf->new_ttk__scrollbar( -orient => 'horizontal', -command => [ $lb, 'xview']);
$hs->g_grid( -column => 0, -row => 1, -sticky => 'we');
$lb->configure( -xscrollcommand => [ $hs, 'set' ]);

$lb->g_bind( '<<ListboxSelect>>', $select_callback);

return ($lbf, $lb);
}




sub TKXGLO_messagebox_ok($$$)
{
my ($title,
$icon,		# error, info, question, warning
$text		# can contain '\n'
) = @_;

Tkx::tk___messageBox( -type => 'ok',	# abortretryignore, ok, okcancel, retrycancel, yesno, yesnocancel
-title => $title,
-message => $text,
-icon => $icon);
}




sub TKXGLO_aboutbox($$)
{
my ($title,
$text		# can contain '\n'
) = @_;

Tkx::tk___messageBox( -type => 'ok',	# abortretryignore, ok, okcancel, retrycancel, yesno, yesnocancel
-title => $title,
-message => $text,
-icon => 'info');
}

return 1;

