#===============================================
#
#   incs.pm
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================

package incs;
require Exporter;

@ISA = qw(Exporter);
@EXPORT = qw(
INCS_get_includes
);

use strict;
use integer;


use gbsfile;
use gbsfilecom;




sub INCS_get_includes($);

sub read_incs($);




my %INCS_CACHE;





sub INCS_get_includes($)
{
my ($file_spec) = @_;

return read_incs( $file_spec);
}




sub read_incs($)
{
my ($file_spec) = @_;
my @lines;

if (exists( $INCS_CACHE{$file_spec}))
{
@lines = @{$INCS_CACHE{$file_spec}};
} else
{
if (GBSFILE_open( $file_spec, 0, undef, undef))
{
my $line = GBSFILE_get_line();
while ($line)
{

$line = GBSFILECOM_validate_path( $line);
push @lines, $line;
$line = GBSFILE_get_line();
}
}
$INCS_CACHE{$file_spec} = [ @lines ];
}

return @lines;
}

return 1;

