#===============================================================
#
#   notify.pl
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================
use strict;
use integer;

use lib $ENV{GBS_SCRIPTS_PATH};
use glo::env;
use glo::args;
use glo::shell;
use glo::ask;
use glo::slurp;
use run;
use notify;




sub get_command_args();








my ($JOB,
$JOB_RC,
$LOG_FILE_SPEC,
$JOB_STATE);







{
get_command_args();




my @lines = NOTIFY_get_lines( $JOB, $JOB_RC, $LOG_FILE_SPEC, $JOB_STATE);
my ($title, $fg, $bg, $cols, $rows, $icon) = NOTIFY_get_xterm_data( $JOB, $JOB_RC, \@lines);
my $default_ans = ($JOB_RC == 0) ? 'N' : 'Y';

ENV_system( SHELL_xtitle( $title), 0, undef);
ENV_system( SHELL_xgeometry( $cols, $rows), 0, undef);
ENV_system( SHELL_xcolor( $fg, $bg), 0, undef);

ENV_say( 0, @lines);




if (ASK_YN( "View Log & Exit", $default_ans) eq 'Y')
{
if (-e $LOG_FILE_SPEC)
{
RUN_viewer( $LOG_FILE_SPEC);
sleep 1;			    # give system (lunix) time to start vieuwer
} else
{
ENV_error( "Logfile: $LOG_FILE_SPEC", "does not exist");
ASK_pause( 'Quitting...');
}
}
}






sub END
{
ENV_print_end_msg(0);
}




sub get_command_args()
{


($JOB,
$JOB_RC,
$LOG_FILE_SPEC,
$JOB_STATE) = ARGS_get( [1,4], 'notify.pl [ <job> | test ] <job_rc> <log_file_spec> <job_end>', undef);
if ($JOB eq 'test')
{
$JOB_RC = 0
if (!defined $JOB_RC);
if (!defined $LOG_FILE_SPEC)
{
($LOG_FILE_SPEC) = SLURP_dir_file_paths( $ENV{GBS_LOG_PATH}, 0);		# get first logfile
$LOG_FILE_SPEC = "$ENV{GBS_LOG_PATH}/gbssysaudit_test_2003-243.log"
if (!defined $LOG_FILE_SPEC);
}
$JOB_STATE = ($JOB_RC == 0) ? 'NORMAL' : 'FAILED'
if (!defined $JOB_STATE);
} else
{
ARGS_fatal( "4 Arguments expected (@ARGV)")
if (@ARGV != 4);
}
}


