#!/bin/ksh -p
#
#   UNIX_LD_LD: glk: .glk -> .e
#       arg_1   = file_name     (without type)
#       arg_2   = in_file_spec  (relative file spec)
#       arg_3   = out_file_spec (relative file spec)
#       arg_4   = out_file_dir  (out_file_spec directory only)
#       arg_5   = out_file_type (with dot)
#       arg_6-N = command_flags (from command line)
#   Environment:
#       General:
#           GBS_LIBS        libraries
#           GBS_GLKB	    files to include
#           GBS_MAP         NO / YES
#           GBS_DEBUGGER    NO / YES
#       Application:
#           <none>
#============================================================================

#set -v -x

#
#   Select arguments
#
file_name=$1     ; shift
in_file_spec=$1  ; shift
out_file_spec=$1 ; shift
out_file_dir=$1  ; shift
out_file_type=$1 ; shift

#
#   Setup Linker basics
#
LD="ld"

#
#   Execute command
#
mapfile=$out_file_dir/$file_name.map
command="$LD $GBS_LIBS $GBS_GLKB $@ -o $out_file_spec > $mapfile"
echo "$command"
eval $command
rc=$?
[[ ! -s $mapfile ]] && rm $mapfile
exit $rc

#**EOF**
