#===============================================================
#
#   scasum.pl
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================
#
#   Call:
##       arg_1   = sum_file_spec
#   Environment:
#	GBSEXT_PLUGIN_REL
#===============================================================
print "*SCASUM*\n" if ($ENV{GBSDEBUG_FILE});

use lib $ENV{GBS_SCRIPTS_PATH};
use strict;
use integer;

use glo::env;
use glo::args;
use gbsenv;
use scasum;




sub get_command_args();
sub do_summary();




my $GBS_ROOT_PATH = GBSENV_perl_gbs_root();
my $GBS_TARGET = ENV_getenv( 'GBS_TARGET');
my $GBS_AUDIT = ENV_getenv( 'GBS_AUDIT');




my $SUM_FILE_SPEC;






$| = 1;
my $RC = 0;
GBSENV_init();

get_command_args();

ENV_fatal( "No GBS_ROOT_PATH defined")
if (!$GBS_ROOT_PATH);
ENV_fatal( "No GBS_TARGET defined")
if (!$GBS_TARGET);
ENV_fatal( "No GBS_AUDIT defined")
if (!$GBS_AUDIT);




do_summary();




ENV_exit( $RC);




sub END
{
ENV_print_end_msg( 1);
}




sub do_summary()
{

SCASUM_init( $SUM_FILE_SPEC);

SCASUM_run();
}




sub get_command_args()
{
my ($os_sum_file_spec,
) = ARGS_get( 1, 'perl scasum.pl sum_file_spec', undef);

$SUM_FILE_SPEC = ENV_perl_paths( $os_sum_file_spec);
}


