#!must_be_sourced!
#=========================================
#   setup.sh
#   Common part for gbsinit.sh (interactive) and gbsstart.sh (batch)
#   - Setup the PERL Commands
#   - Setup the GUI environment (if available)
#   - Run profile.sh
#=========================================

#
#	Setup Perl
#
#echo GBS_PERL_PATH=$GBS_PERL_PATH
if [[ $GBS_PERL_PATH == '' ]]
then
    \export GBS_PERL_CMD=perl
else
    \export GBS_PERL_CMD=$GBS_PERL_PATH/bin/perl
    \echo "SETUP_: Perl set to '$GBS_PERL_PATH/bin/perl'"
fi

#
#   Assert TMPDIR
#
if [[ ! -z TMPDIR ]]
then
    \export "TMPDIR=/tmp/$USER"
    \mkdir "$TMPDIR" 2>/dev/null
fi

#
#   Setup the GUI environment (if available)
#
if [ "$XDG_DESKTOP_DIR" == '' ]
then
    #\echo "SETUP_: Getting GUI info..."
    \test -f ${XDG_CONFIG_HOME:-~/.config}/user-dirs.dirs && source ${XDG_CONFIG_HOME:-~/.config}/user-dirs.dirs
    if [ "$XDG_DESKTOP_DIR" != '' ]
    then
        \echo "SETUP_: GUI present ($XDG_DESKTOP_DIR)"
        \export XDG_DESKTOP_DIR
    fi
fi

#
#   Execute profile
#
#\echo "SETUP_: Executing $GBS_BASE_PATH/profile.sh..."
\source "$GBS_BASE_PATH/profile.sh"

#   End

#  **EOF**
