#!/bin/bash
#==============================================================================
#   [%SUBSYS%] gbssubgen.sh
# 
#   Currently in $GBS_ROOT_PATH/dev/$GBS_SUBSYS
#   Applicable EnvVars:
#       GBS_TARGET
# 
#   Availabe EnvVars:
#       GBS_ROOT_PATH
#       GBS_SUBSYS
#       GBS_SUBSYS_PATH
#       GBS_APP_PATH
# 
# 	GBS_MAKE		<make command>
#       GBS_IGNORE_ERRORS       0 | 1
#       GBS_BLD_<src_type>      <primary_output_type>
#       GBS_FLAGS_<src_type>    <from sysgen and options>
#       GBS_MODE                FINAL | ASSERT | DEBUG | PROFILING
#       GBS_OPT                 YES | SPEED | SIZE | DEBUG | NO
#       GBS_DEBUGGER            NO | YES
#       GBS_MAP                 NO | YES
# 
#==============================================================================

rc=0

# 
#   Execute the SubSystem gbssubgen.sh (unconditional clean build)
#   Before this command is executed gbssubclean_bld is executed, so the 'clean'
#   must not be executed in this command
# 
echo "GBSSUBGEN: ** SubSys=$GBS_SUBSYS - Target=$GBS_TARGET"

#  <== add your command(s) to execute the gbssubgen.sh here and
#      remove these lines.
#      Do not forget to set rc to proper exit value (0=success, >0=fail)
#  <== Probably something like:

flags=
[[ $GBS_IGNORE_ERRORS == 1 ]] && flags="$flags -i"

$GBS_MAKE -f Makefile.mk -B -k $flags
rc=$?


exit $rc
###EOF###
